# gitea
-------

# Usage
-------

```
docker-compose pull
docker-compose up -d
```

# Purpose
---------

Create containers for Gitea, Mariadb, and phpMyAdmin. Only enabled for localhost access, no external.

# Limitations
-------------

If external access to this resource is desired, please configure HAProxy, HTTPD, or nginx with the following : 

| External Port | Local Port | Protocol | Suggestions |
| ------------- | ---------- | -------- | ----------- |
| 80            | XXX        | HTTP     | Redirect all traffic to 443 |
| 443           | 3000       | HTTP     | Pass the URI / to local port 3000 for Gitea, and the URI /phpMyAdmin/ as / to local port 5000 for phpMyAdmin |
| 4000          | 4000       | TCP      | SSH for GIT runs here, pass this traffic as-is |

